5,603,729 Members 37,870 Now Online
XDA Developers Android and Mobile Development Forum

flashing 4.4

Tip us?
 
Jairsantana
Old
#1  
Jairsantana's Avatar
Senior Member - OP
Thanks Meter 55
Posts: 140
Join Date: Jan 2013
Default flashing 4.4

I think someone already answered this bit can I flash a 4.4 rom if I'm on stock 4.3??
 
Mr. Struck
Old
#2  
Mr. Struck's Avatar
Senior Member
Thanks Meter 277
Posts: 381
Join Date: May 2013
Location: Longmont, Colorado
Quote:
Originally Posted by Jairsantana View Post
I think someone already answered this bit can I flash a 4.4 rom if I'm on stock 4.3??
Yes, but you will have to either modify the assert lines to reflect your new bootloader or delete the assert lines completely. Just be sure you have downloaded a d2spr ROM. And by stock 4.3, did you take the official Knox update or flash a modified Knox-free version?
 
xmacx97
Old
#3  
Junior Member
Thanks Meter 0
Posts: 2
Join Date: Dec 2013
Quote:
Originally Posted by Mr. Struck View Post
Yes, but you will have to either modify the assert lines to reflect your new bootloader or delete the assert lines completely. Just be sure you have downloaded a d2spr ROM. And by stock 4.3, did you take the official Knox update or flash a modified Knox-free version?
i took the stock 4.3 with the knox ... im wondering the same thing
 
Mr. Struck
Old
#4  
Mr. Struck's Avatar
Senior Member
Thanks Meter 277
Posts: 381
Join Date: May 2013
Location: Longmont, Colorado
Quote:
Originally Posted by xmacx97 View Post
i took the stock 4.3 with the knox ... im wondering the same thing
My understanding is that you can still root and flash custom ROM's as long as you don't care about permanently tripping the Knox flag. What you definitely do not want to do is try to use Odin to push a stock .tar with a bootloader that is an earlier (pre-Knox) version because Knox will interfere and hard brick your phone.
 
Jairsantana
Old
#5  
Jairsantana's Avatar
Senior Member - OP
Thanks Meter 55
Posts: 140
Join Date: Jan 2013
Quote:
Originally Posted by Mr. Struck View Post
Yes, but you will have to either modify the assert lines to reflect your new bootloader or delete the assert lines completely. Just be sure you have downloaded a d2spr ROM. And by stock 4.3, did you take the official Knox update or flash a modified Knox-free version?
It is a stock rooted rom without the knox apps!!
 
Mr. Struck
Old
#6  
Mr. Struck's Avatar
Senior Member
Thanks Meter 277
Posts: 381
Join Date: May 2013
Location: Longmont, Colorado
Quote:
Originally Posted by Jairsantana View Post
It is a stock rooted rom without the knox apps!!
That's good, should save you the headache of re-rooting and disabling Knox apps. If you don't know how to modify/delete the assert lines let me know.
 
Jairsantana
Old
#7  
Jairsantana's Avatar
Senior Member - OP
Thanks Meter 55
Posts: 140
Join Date: Jan 2013
Quote:
Originally Posted by Mr. Struck View Post
That's good, should save you the headache of re-rooting and disabling Knox apps. If you don't know how to modify/delete the assert lines let me know.
Hey can I flash any 4.3 rom without any problems Like cm10??
 
Mr. Struck
Old
#8  
Mr. Struck's Avatar
Senior Member
Thanks Meter 277
Posts: 381
Join Date: May 2013
Location: Longmont, Colorado
Quote:
Originally Posted by Jairsantana View Post
Hey can I flash any 4.3 rom without any problems Like cm10??
That should be a yes. I need to clarify as well, I think I got a little mixed up about who had what with your question and the other question from the user who took the OTA. You will need to know which bootloader you have, if it is the newest MK3 version, then the updater-script will not have your bootloader listed in the assert lines and you will then be required to modify the asserts to reflect your specific bootloader or delete the assert lines altogether. The user who took the OTA should definitely have this version installed. If you are on a previous bootloader like MD4, no modifying or deleting will be necessary with the asserts.
 
Jairsantana
Old
#9  
Jairsantana's Avatar
Senior Member - OP
Thanks Meter 55
Posts: 140
Join Date: Jan 2013
Quote:
Originally Posted by Mr. Struck View Post
That should be a yes. I need to clarify as well, I think I got a little mixed up about who had what with your question and the other question from the user who took the OTA. You will need to know which bootloader you have, if it is the newest MK3 version, then the updater-script will not have your bootloader listed in the assert lines and you will then be required to modify the asserts to reflect your specific bootloader or delete the assert lines altogether. The user who took the OTA should definitely have this version installed. If you are on a previous bootloader like MD4, no modifying or deleting will be necessary with the asserts.
Ok long story short I did flash the ota zip then root my phone but now I'm runing staticpower rom!!!
 
Mr. Struck
Old
#10  
Mr. Struck's Avatar
Senior Member
Thanks Meter 277
Posts: 381
Join Date: May 2013
Location: Longmont, Colorado
Quote:
Originally Posted by Jairsantana View Post
Ok long story short I did flash the ota zip then root my phone but now I'm runing staticpower rom!!!
OK, so your boot loader should be MK3 then, it is listed under Settings/About Phone if you need to find out for sure, In that case the original info about the assert lines will hold true if you want to flash 4.4; the exception will be the latest builds by Cjen1987, he has already modified the updater-script to remove the asserts and allow TWRP or CWM to flash.

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


XDA PORTAL POSTS

When Using GitHub, Don’t Skimp on Commit History

GitHub has become the epicenter of most open source development work that is posted … more

Verizon Droid DNA to Receive 4.4.2 KitKat + Sense 5.5 OTA This Thursday

The HTC Droid DNAis Verizon’s close cousin to the JapaneseHTC … more

Lucid Browser is Small, Lightweight, and Open Source

If there is one application category that certainly isn’t lacking in Android,and … more